org.apache.calcite.avatica.proto

## Class Common.StatementHandle.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>
      - - org.apache.calcite.avatica.proto.Common.StatementHandle.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Common.StatementHandleOrBuilder

Enclosing class:
  Common.StatementHandle

    public static final class Common.StatementHandle.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>
    implements Common.StatementHandleOrBuilder

     Statement handle

Protobuf type `StatementHandle`

### Field Summary

Fields
`private Object` `connectionId_`
`private int` `id_`
`private Common.Signature` `signature_`
`private com.google.protobuf.SingleFieldBuilderV3<Common.Signature,Common.Signature.Builder,Common.SignatureOrBuilder>` `signatureBuilder_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.StatementHandle.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.StatementHandle` `build()`
`Common.StatementHandle` `buildPartial()`
`Common.StatementHandle.Builder` `clear()`
`Common.StatementHandle.Builder` `clearConnectionId()` `optional string connection_id = 1;`
`Common.StatementHandle.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.StatementHandle.Builder` `clearId()` `optional uint32 id = 2;`
`Common.StatementHandle.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.StatementHandle.Builder` `clearSignature()` `optional .Signature signature = 3;`
`Common.StatementHandle.Builder` `clone()`
`String` `getConnectionId()` `optional string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 1;`
`Common.StatementHandle` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getId()` `optional uint32 id = 2;`
`Common.Signature` `getSignature()` `optional .Signature signature = 3;`
`Common.Signature.Builder` `getSignatureBuilder()` `optional .Signature signature = 3;`
`private com.google.protobuf.SingleFieldBuilderV3<Common.Signature,Common.Signature.Builder,Common.SignatureOrBuilder>` `getSignatureFieldBuilder()` `optional .Signature signature = 3;`
`Common.SignatureOrBuilder` `getSignatureOrBuilder()` `optional .Signature signature = 3;`
`boolean` `hasSignature()` `optional .Signature signature = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.StatementHandle.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.StatementHandle.Builder` `mergeFrom(Common.StatementHandle other)`
`Common.StatementHandle.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Common.StatementHandle.Builder` `mergeSignature(Common.Signature value)` `optional .Signature signature = 3;`
`Common.StatementHandle.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.StatementHandle.Builder` `setConnectionId(String value)` `optional string connection_id = 1;`
`Common.StatementHandle.Builder` `setConnectionIdBytes(com.google.protobuf.ByteString value)` `optional string connection_id = 1;`
`Common.StatementHandle.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.StatementHandle.Builder` `setId(int value)` `optional uint32 id = 2;`
`Common.StatementHandle.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Common.StatementHandle.Builder` `setSignature(Common.Signature.Builder builderForValue)` `optional .Signature signature = 3;`
`Common.StatementHandle.Builder` `setSignature(Common.Signature value)` `optional .Signature signature = 3;`
`Common.StatementHandle.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### connectionId_

    private Object connectionId_

#### id_

    private int id_

#### signature_

    private Common.Signature signature_

#### signatureBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Common.Signature,Common.Signature.Builder,Common.SignatureOrBuilder> signatureBuilder_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.StatementHandle.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`

#### getDefaultInstanceForType

    public Common.StatementHandle getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.StatementHandle build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.StatementHandle buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.StatementHandle.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`

#### setField

    public Common.StatementHandle.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`

#### clearField

    public Common.StatementHandle.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`

#### clearOneof

    public Common.StatementHandle.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`

#### setRepeatedField

    public Common.StatementHandle.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           int index,
                                                           Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`

#### addRepeatedField

    public Common.StatementHandle.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`

#### mergeFrom

    public Common.StatementHandle.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.StatementHandle.Builder>`

#### mergeFrom

    public Common.StatementHandle.Builder mergeFrom(Common.StatementHandle other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`

#### mergeFrom

    public Common.StatementHandle.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.StatementHandle.Builder>`
Throws:
  `IOException`

#### getConnectionId

    public String getConnectionId()

`optional string connection_id = 1;`

Specified by:
  `getConnectionId` in interface `Common.StatementHandleOrBuilder`

#### getConnectionIdBytes

    public com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 1;`

Specified by:
  `getConnectionIdBytes` in interface `Common.StatementHandleOrBuilder`

#### setConnectionId

    public Common.StatementHandle.Builder setConnectionId(String value)

`optional string connection_id = 1;`

#### clearConnectionId

    public Common.StatementHandle.Builder clearConnectionId()

`optional string connection_id = 1;`

#### setConnectionIdBytes

    public Common.StatementHandle.Builder setConnectionIdBytes(com.google.protobuf.ByteString value)

`optional string connection_id = 1;`

#### getId

    public int getId()

`optional uint32 id = 2;`

Specified by:
  `getId` in interface `Common.StatementHandleOrBuilder`

#### setId

    public Common.StatementHandle.Builder setId(int value)

`optional uint32 id = 2;`

#### clearId

    public Common.StatementHandle.Builder clearId()

`optional uint32 id = 2;`

#### hasSignature

    public boolean hasSignature()

`optional .Signature signature = 3;`

Specified by:
  `hasSignature` in interface `Common.StatementHandleOrBuilder`

#### getSignature

    public Common.Signature getSignature()

`optional .Signature signature = 3;`

Specified by:
  `getSignature` in interface `Common.StatementHandleOrBuilder`

#### setSignature

    public Common.StatementHandle.Builder setSignature(Common.Signature value)

`optional .Signature signature = 3;`

#### setSignature

    public Common.StatementHandle.Builder setSignature(Common.Signature.Builder builderForValue)

`optional .Signature signature = 3;`

#### mergeSignature

    public Common.StatementHandle.Builder mergeSignature(Common.Signature value)

`optional .Signature signature = 3;`

#### clearSignature

    public Common.StatementHandle.Builder clearSignature()

`optional .Signature signature = 3;`

#### getSignatureBuilder

    public Common.Signature.Builder getSignatureBuilder()

`optional .Signature signature = 3;`

#### getSignatureOrBuilder

    public Common.SignatureOrBuilder getSignatureOrBuilder()

`optional .Signature signature = 3;`

Specified by:
  `getSignatureOrBuilder` in interface `Common.StatementHandleOrBuilder`

#### getSignatureFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Common.Signature,Common.Signature.Builder,Common.SignatureOrBuilder> getSignatureFieldBuilder()

`optional .Signature signature = 3;`

#### setUnknownFields

    public final Common.StatementHandle.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`

#### mergeUnknownFields

    public final Common.StatementHandle.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.StatementHandle.Builder>`